<?PHP
session_start();
//........................

include "$_SERVER[DOCUMENT_ROOT]/webifycore/db/mysql.php";

if (!$con)
        die("<h1 style=\"text-align: center; margin-top: 100px;\">The Webify Core has not yet been installed. <hr><a href=/webifycore/install>Install Now</a>.</h1>");
        
include "$_SERVER[DOCUMENT_ROOT]/webifycore/inc/protect.php";
include "inc/global.php";
include "$_SERVER[DOCUMENT_ROOT]/webifycore/lang/lang.php";
include "$_SERVER[DOCUMENT_ROOT]/webifycore/lang/googletranslate.php";
$hour = date("G:i"); $day = date("d"); $month = date("m"); $year = date("Y");
include "$_SERVER[DOCUMENT_ROOT]/webifycore/inc/authorize.php";
include "$_SERVER[DOCUMENT_ROOT]/webifycore/inc/functions.php";
$hometitle = $rowxxx[TITLE];
//........................

if ($_GET['page'] == focus) {

        $table = "$prefix" . "OBJECTS";

        if (!empty($_GET['file']) && !empty($_SESSION[adminusername])) {

                $sql = "UPDATE $table SET MAINPHOTO = '$_GET[file]' WHERE ID = '$_GET[id]'";
                mysql_query("$sql");

        }

        $SQL = "SELECT * from $table WHERE ID = '$_GET[id]'"; 
        $result = mySQL_query( $SQL ); 
        $row = mySQL_fetch_array( $result );
        $rowxxx[TITLE] = $row[TITLE];
	$rowxxx[CAPTION] = $row[CAPTION];
        $langtable = "$prefix" . "OBJECTS";
}

//........................

if ($_GET['page'] == browse) {

        $table = "$prefix" . "CATEGORIES";
        $SQL = "SELECT * from $table WHERE ID = '$_GET[id]'"; 
        $result = mySQL_query( $SQL ); 
        $row = mySQL_fetch_array( $result );
        $rowxxx[TITLE] = $row[TITLE];
        $langtable = "$prefix" . "CATEGORIES";
}

//........................

if (empty($_GET[page]) || $_GET[page] == home || $rowxxx[TITLE] == $hometitle) {
        $langtable = "$prefix" . "SETTINGS";
        $_GET[id] = 1;
}

?>
